searchData={"items":[{"type":"module","title":"Hangman.Text.Client","doc":"Text client for the _Hangman Game_.\r\n\r\n##### Based on the course [Elixir for Programmers](https://codestool.coding-gnome.com/courses/elixir-for-programmers) by Dave Thomas.","ref":"Hangman.Text.Client.html"},{"type":"function","title":"Hangman.Text.Client.engine_node/0","doc":"Returns the hangman engine node.","ref":"Hangman.Text.Client.html#engine_node/0"},{"type":"function","title":"Examples - Hangman.Text.Client.engine_node/0","doc":"iex> alias Hangman.Text.Client\r\n    iex> engine_node = Client.engine_node()\r\n    iex> \"#{engine_node}\" =~ \"hangman_engine@\"\r\n    true","ref":"Hangman.Text.Client.html#engine_node/0-examples"},{"type":"function","title":"Hangman.Text.Client.start/1","doc":"Starts locally or remotely a _Hangman Game_ named `game_name`.\r\nThe default value for `game_name` is provided by function\r\n`Hangman.Game.random_name/0`.","ref":"Hangman.Text.Client.html#start/1"},{"type":"function","title":"LOCALLY WHEN LOCAL NODE IS NOT ALIVE - Hangman.Text.Client.start/1","doc":"Start each client like so:\r\n\r\n### *WITHOUT USING RELEASES*\r\n\r\n```\r\ncd hangman_text_client\r\niex -S mix\r\n:observer.start() # optional\r\nHangman.Text.Client.start()\r\n```\r\n\r\n### *USING RELEASES*\r\n\r\n#### Commmand shell\r\n\r\n```\r\ncd hangman_text_client\r\n\"_build/nonode/rel/hangman_text_client/bin/hangman_text_client\" start_iex\r\n:observer.start() # optional\r\nHangman.Text.Client.start()\r\n```\r\n\r\n#### PowerShell\r\n\r\n```\r\ncd hangman_text_client\r\n_build/nonode/rel/hangman_text_client/bin/hangman_text_client start_iex\r\n:observer.start() # optional\r\nHangman.Text.Client.start()\r\n```","ref":"Hangman.Text.Client.html#start/1-locally-when-local-node-is-not-alive"},{"type":"function","title":"REMOTELY WHEN LOCAL NODE IS ALIVE - Hangman.Text.Client.start/1","doc":"App `:hangman_engine` must run on node `:hangman_engine@ ` where\r\n` ` is either the full host name if long names are used, or the first\r\npart of the full host name if short names are used.\r\n\r\n### *SHORT NAMES WITHOUT USING RELEASES*\r\n\r\nStart the engine using a short name:\r\n\r\n```\r\ncd hangman_engine\r\niex --sname hangman_engine -S mix\r\n:observer.start() # optional\r\n```\r\n\r\nStart a game from a different node with a short name:\r\n\r\n```\r\ncd hangman_text_client\r\nset \"MIX_ENV=dev\" && iex --sname mike -S mix # Command shell\r\n$Env:MIX_ENV = \"dev\"; iex --sname mike -S mix # PowerShell\r\n:observer.start() # optional\r\nHangman.Text.Client.start()\r\n```\r\n\r\n### *LONG NAMES*\r\n\r\nStart the engine using a long name:\r\n\r\n```\r\ncd hangman_engine\r\niex --name hangman_engine@rays.supratech.ca -S mix\r\n:observer.start() # optional\r\n```\r\n\r\nStart a game from a different node with a long name:\r\n\r\n```\r\ncd hangman_text_client\r\nset \"MIX_ENV=prod\" && iex --name mike@rays.supratech.ca -S mix # Command shell\r\n$Env:MIX_ENV = \"prod\"; iex --name mike@rays.supratech.ca -S mix # PowerShell\r\n:observer.start() # optional\r\nHangman.Text.Client.start()\r\n```\r\n\r\n### *SHORT NAMES USING RELEASES*\r\n\r\nStart the engine using a short name:\r\n\r\n```\r\ncd hangman_engine\r\niex --sname hangman_engine --cookie fortune -S mix\r\n:observer.start() # optional\r\n```\r\n\r\nStart a game from a different node with a short name:\r\n\r\n```\r\ncd hangman_text_client\r\nset RELEASE_NODE=mike@rays\r\n\"_build/dev/rel/hangman_text_client/bin/hangman_text_client\" start_iex\r\nHangman.Text.Client.start()\r\n```\r\n\r\n### *LONG NAMES USING RELEASES*\r\n\r\nStart the engine using a long name:\r\n\r\n```\r\ncd hangman_engine\r\niex --name hangman_engine@rays.supratech.ca --cookie fortune -S mix\r\n:observer.start() # optional\r\n```\r\n\r\nStart a game from a different node with a long name:\r\n\r\n#### *Commmand shell*\r\n\r\n```\r\ncd hangman_text_client\r\nset RELEASE_NODE=mike@rays.supratech.ca\r\n\"_build/prod/rel/hangman_text_client/bin/hangman_text_client\" start_iex\r\n:observer.start() # optional\r\nHangman.Text.Client.start()\r\n```\r\n\r\n#### *PowerShell*\r\n\r\n```\r\ncd hangman_text_client\r\n$Env:RELEASE_NODE = \"mike@rays.supratech.ca\"\r\n_build/prod/rel/hangman_text_client/bin/hangman_text_client start_iex\r\n:observer.start() # optional\r\nHangman.Text.Client.start()\r\n```","ref":"Hangman.Text.Client.html#start/1-remotely-when-local-node-is-alive"},{"type":"module","title":"Hangman.Text.Client.Engine","doc":"Starts a game locally or remotely:\n\n  - locally when local node is not alive (`:nonode@nohost`)\n  - remotely on node `:hangman_engine@ ` otherwise","ref":"Hangman.Text.Client.Engine.html"},{"type":"function","title":"Hangman.Text.Client.Engine.new_game/1","doc":"Starts locally or remotely a _Hangman Game_ named `game_name`.","ref":"Hangman.Text.Client.Engine.html#new_game/1"},{"type":"module","title":"Hangman.Text.Client.Message.CannotConnectToNode","doc":"","ref":"Hangman.Text.Client.Message.CannotConnectToNode.html"},{"type":"function","title":"Hangman.Text.Client.Message.CannotConnectToNode.message/1","doc":"","ref":"Hangman.Text.Client.Message.CannotConnectToNode.html#message/1"},{"type":"module","title":"Hangman.Text.Client.Message.ConnectedToNode","doc":"","ref":"Hangman.Text.Client.Message.ConnectedToNode.html"},{"type":"function","title":"Hangman.Text.Client.Message.ConnectedToNode.message/1","doc":"","ref":"Hangman.Text.Client.Message.ConnectedToNode.html#message/1"},{"type":"module","title":"Hangman.Text.Client.Message.EngineNodeDown","doc":"","ref":"Hangman.Text.Client.Message.EngineNodeDown.html"},{"type":"function","title":"Hangman.Text.Client.Message.EngineNodeDown.message/1","doc":"","ref":"Hangman.Text.Client.Message.EngineNodeDown.html#message/1"},{"type":"module","title":"Hangman.Text.Client.Message.EngineNotStarted","doc":"","ref":"Hangman.Text.Client.Message.EngineNotStarted.html"},{"type":"function","title":"Hangman.Text.Client.Message.EngineNotStarted.message/1","doc":"","ref":"Hangman.Text.Client.Message.EngineNotStarted.html#message/1"},{"type":"module","title":"Hangman.Text.Client.Message.EnsureEngineStarted","doc":"","ref":"Hangman.Text.Client.Message.EnsureEngineStarted.html"},{"type":"function","title":"Hangman.Text.Client.Message.EnsureEngineStarted.message/1","doc":"","ref":"Hangman.Text.Client.Message.EnsureEngineStarted.html#message/1"},{"type":"module","title":"Hangman.Text.Client.Message.GameAlreadyStarted","doc":"","ref":"Hangman.Text.Client.Message.GameAlreadyStarted.html"},{"type":"function","title":"Hangman.Text.Client.Message.GameAlreadyStarted.message/2","doc":"","ref":"Hangman.Text.Client.Message.GameAlreadyStarted.html#message/2"},{"type":"module","title":"Hangman.Text.Client.Mover","doc":"Makes a move by guessing a letter.","ref":"Hangman.Text.Client.Mover.html"},{"type":"function","title":"Hangman.Text.Client.Mover.make_move/1","doc":"Makes a move by guessing a letter.","ref":"Hangman.Text.Client.Mover.html#make_move/1"},{"type":"module","title":"Hangman.Text.Client.Player","doc":"Plays a game until it is won, lost or stopped.","ref":"Hangman.Text.Client.Player.html"},{"type":"function","title":"Hangman.Text.Client.Player.end_game/2","doc":"Displays a `message` and ends the game normally.","ref":"Hangman.Text.Client.Player.html#end_game/2"},{"type":"function","title":"Hangman.Text.Client.Player.play/1","doc":"Plays a game until it is won, lost or stopped.","ref":"Hangman.Text.Client.Player.html#play/1"},{"type":"module","title":"Hangman.Text.Client.Prompter","doc":"Prompts a player for a move.","ref":"Hangman.Text.Client.Prompter.html"},{"type":"function","title":"Hangman.Text.Client.Prompter.accept_move/1","doc":"Accepts a player's move.","ref":"Hangman.Text.Client.Prompter.html#accept_move/1"},{"type":"module","title":"Hangman.Text.Client.State","doc":"Creates a state struct for the _Hangman Game_.\n\nThe state struct contains the fields `game_name`, `tally` and `guess`\nrepresenting the properties of a state in the _Hangman Game_.","ref":"Hangman.Text.Client.State.html"},{"type":"function","title":"Hangman.Text.Client.State.new/1","doc":"Creates a state struct from a `game_name`.","ref":"Hangman.Text.Client.State.html#new/1"},{"type":"type","title":"Hangman.Text.Client.State.t/0","doc":"A state struct for the Hangman Game","ref":"Hangman.Text.Client.State.html#t:t/0"},{"type":"module","title":"Hangman.Text.Client.Summary","doc":"Displays a summary of the game.","ref":"Hangman.Text.Client.Summary.html"},{"type":"function","title":"Hangman.Text.Client.Summary.display/1","doc":"Displays a summary of the game.","ref":"Hangman.Text.Client.Summary.html#display/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}